- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::GraphicsDevice Class Reference

グラフィックデバイス More...

`#include <BuddhaGraphicsDevice.h>`

List of all members.

## Public Member Functions
| GraphicsDevice (D3DDEVTYPE deviceType, HWND renderWindowHandle, DWORD creationOptions, D3DPRESENT_PARAMETERS &presentationParameters)
| コンストラクタ
void | SetTexture (int statge, Texture2D *tex)
| 指定したテクスチャステージ stage にテクスチャ tex をセットする
void | SetRenderTarget (int renderTargetIndex, RenderTarget2D *renderTarget)
| このデバイスの新しいレンダーターゲットをセットします
void | _setSoftwareVertexProcessing (bool bSoftware)
| 頂点処理をソフトウェアとハードウェアで切り替える
void | _setFVF (DWORD fvf)
void | _setMaterial (const ModelMeshMaterial *material)
void | Present (void)
  | GraphicsDevice が所有するバックバッファのシークネスにおける次のバッファの内容で表示をおこなう Exceptions:
  | DeviceLostException | グラフィックデバイスは失われいるが、いまリセットできない。したがってレンダリングは不可能である。.
void | Reset (void)
  | 現在のプレゼンテーションパラメータを用いてグラフィックデバイスをリセットする Exceptions:
  | DeviceLostException | グラフィックデバイスは失われいるが、いまリセットできない。したがってレンダリングは不可能である。
void | Reset (D3DPRESENT_PARAMETERS &presentationParameters)
  | 指定したプレゼンテーションパラメータを用いてグラフィックデバイスをリセットする Exceptions:
  | DeviceLostException | グラフィックデバイスは失われいるが、いまリセットできない。したがってレンダリングは不可能である。
const D3DPRESENT_PARAMETERS & | GetPresentationParameters (void) const
| このグラフィックスデバイスに関連しているプレゼンテーションパラメータを取得
void | SetViewport (const Viewport &viewport)
| ビューポートを設定
Viewport & | GetViewport (void)
| ビューポートを取得
## Protected Attributes
LPDIRECT3DSURFACE9 | m_pBackBuffer
| バックバッファのサーフェイス
D3DPRESENT_PARAMETERS | mPresentationParameters
| プレゼンテーションパラメータの控え
Viewport | mViewport
| ビューポート

## Detailed Description

グラフィックデバイス

## Constructor & Destructor Documentation

BuddhaLib::GraphicsDevice::GraphicsDevice | ( | D3DDEVTYPE | deviceType,
|  | HWND | renderWindowHandle,
|  | DWORD | creationOptions,
|  | D3DPRESENT_PARAMETERS & | presentationParameters |
| ) |  |  |

コンストラクタ

Parameters:

  | deviceType | 必要なデバイスタイプ
  | renderWindowHandle | フォーカスするウィンドウ
  | creationOptions | デバイスの大域的な振る舞いをコントローするひとつもしくはそれ以上のオプションの組み合わせ
  | presentationParameters | 作成されるデバイスのプレゼンテーションパラメータ。

## Member Function Documentation

void BuddhaLib::GraphicsDevice::_setSoftwareVertexProcessing | ( | bool | bSoftware | ) | `[inline]`

頂点処理をソフトウェアとハードウェアで切り替える

Parameters:

  | bSoftware | 真のとき、ソフトウェア頂点処理を使用する

Remarks:
  D3DCREATE_MIXED_VERTEXPROCESSING で作成されたデバイスは、デフォルトでハードウェア頂 点処理を使用する。

  固定機能頂点シェーダを設定するには、このメソッドに false を渡し、その後固定機能頂点 フォーマットで _setFVF() を呼び出す。

Attention:
  HardwareEffect 用であり、現時点では外部から積極的に呼び出すべきではない

void BuddhaLib::GraphicsDevice::_setFVF | ( | DWORD | fvf | ) | `[inline]`

ハードウェア頂点宣言をデバイスにセットする

void BuddhaLib::GraphicsDevice::_setMaterial | ( | const ModelMeshMaterial * | material | ) | `[inline]`

ハードウェアレンダリングにマテリアルをセットする